summaryrefslogtreecommitdiffhomepage
path: root/modules/admin-core/root/etc/init.d
diff options
context:
space:
mode:
authorSteven Barth <steven@midlink.org>2008-09-23 13:15:50 +0000
committerSteven Barth <steven@midlink.org>2008-09-23 13:15:50 +0000
commit251502e2cd0c47b426cfd4d4f183128ca528b91b (patch)
tree7d398abd86052302d19b7591a2fb4b621413a1cc /modules/admin-core/root/etc/init.d
parent6b3985b6be52063c09f779b6bc509bf84eedc660 (diff)
Kill luci-addons package
Diffstat (limited to 'modules/admin-core/root/etc/init.d')
-rwxr-xr-xmodules/admin-core/root/etc/init.d/luci_ethers35
-rwxr-xr-xmodules/admin-core/root/etc/init.d/luci_fixtime11
-rwxr-xr-xmodules/admin-core/root/etc/init.d/luci_hosts34
3 files changed, 80 insertions, 0 deletions
diff --git a/modules/admin-core/root/etc/init.d/luci_ethers b/modules/admin-core/root/etc/init.d/luci_ethers
new file mode 100755
index 0000000000..8cf46729df
--- /dev/null
+++ b/modules/admin-core/root/etc/init.d/luci_ethers
@@ -0,0 +1,35 @@
+#!/bin/sh /etc/rc.common
+START=59
+
+apply_lease() {
+ local cfg="$1"
+
+ config_get macaddr "$cfg" macaddr
+ config_get ipaddr "$cfg" ipaddr
+
+ [ -n "$macaddr" -a -n "$ipaddr" ] || return 0
+
+ echo "$macaddr $ipaddr" >> /var/etc/ethers
+}
+
+start() {
+ if [ ! -L /etc/ethers ]; then
+ test -f /etc/ethers && mv /etc/ethers /etc/ethers.local
+ ln -s /var/etc/ethers /etc/ethers
+ fi
+
+ test -d /var/etc || mkdir -p /var/etc
+
+ config_load luci_ethers
+ config_foreach apply_lease static_lease
+
+ test -f /etc/ethers.local && cat /etc/ethers.local >> /var/etc/ethers
+
+ return 0
+}
+
+stop() {
+ test -f /var/etc/ethers && rm -f /var/etc/ethers
+
+ return 0
+}
diff --git a/modules/admin-core/root/etc/init.d/luci_fixtime b/modules/admin-core/root/etc/init.d/luci_fixtime
new file mode 100755
index 0000000000..681d9d7898
--- /dev/null
+++ b/modules/admin-core/root/etc/init.d/luci_fixtime
@@ -0,0 +1,11 @@
+#!/bin/sh /etc/rc.common
+
+START=05
+
+start() {
+ cat <<' EOF' | lua -l luci.fs -l luci.util -
+ if (os.time() < 1000000000) then
+ os.execute('date -s ' .. os.date('%m%d%H%M%Y', luci.fs.mtime(luci.util.libpath())))
+ end
+ EOF
+}
diff --git a/modules/admin-core/root/etc/init.d/luci_hosts b/modules/admin-core/root/etc/init.d/luci_hosts
new file mode 100755
index 0000000000..d01bfbbd55
--- /dev/null
+++ b/modules/admin-core/root/etc/init.d/luci_hosts
@@ -0,0 +1,34 @@
+#!/bin/sh /etc/rc.common
+START=60
+
+apply_host() {
+ local cfg="$1"
+
+ config_get hostname "$cfg" hostname
+ config_get ipaddr "$cfg" ipaddr
+
+ [ -n "$hostname" -a -n "$ipaddr" ] || return 0
+
+ echo "$ipaddr $hostname" >> /var/etc/hosts
+}
+
+start() {
+ if [ ! -L /etc/hosts ]; then
+ test -f /etc/hosts && mv /etc/hosts /etc/hosts.local
+ ln -s /var/etc/hosts /etc/hosts
+ fi
+
+ test -d /var/etc || mkdir -p /var/etc
+ test -f /etc/hosts.local && cat /etc/hosts.local >> /var/etc/hosts
+
+ config_load luci_hosts
+ config_foreach apply_host host
+
+ return 0
+}
+
+stop() {
+ test -f /var/etc/hosts && rm -f /var/etc/hosts
+
+ return 0
+}